using System;
using System.Globalization;
using System.Windows.Data;

namespace Replikanto
{
	public class EnumValueConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			Enum @enum = value as Enum;
			if (@enum != null)
			{
				return LocalizationUtilities.GetEnumMemberLocalization(@enum);
			}
			return Delegate32.smethod_0("{0}", value, Delegate32.delegate32_0);
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}

		internal static object smethod_0(int int_0)
		{
			return Class10.smethod_17(int_0);
		}

		internal static void smethod_1()
		{
		}

		internal static void smethod_2()
		{
		}
	}
}
